<?php
/**
 * @brief A sample preload. Put this file to your /preload directory.
 * @package AccessDenial
 * @version $Id$
 */

//
// To kick the direct access, the following check is must.
//
if (!defined('XOOPS_ROOT_PATH')) exit();

/**
 * This constant is the specific IP which is allowed to access your site.
 */
define('ACCESSDENIAL_ENABLE_ACCESS_IP', '127.0.0.1');

/**
 * You can insert your code to some parts with ActionFilter. The class name has
 * to equal the body name of this file.
 * 
 * @see Legacy_Controller
 * @version 1.00
 */
class AccessDenial extends XCube_ActionFilter
{
	/**
	 * preFilter is the first part of the callback where you can insert your
	 * code. There are other methods. This is Site Preload. Module Preload
	 * can't use preFilter().
	 * 
	 * @see XCube_ActionFilter
	 */
	function preFilter()
	{
		if ($_SERVER['REMOTE_ADDR'] != ACCESSDENIAL_ENABLE_ACCESS_IP) {
			exit("You can't access this site. Go ahead!");
		}
	}
}

?>